---
title: Download matches for string queries by ID
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Brand Protection](https://developers.cloudflare.com/api/python/resources/brand_protection)

[Matches](https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/matches)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Download matches for string queries by ID

brand\_protection.matches.download(MatchDownloadParams\*\*kwargs) -> [MatchDownloadResponse](<https://developers.cloudflare.com/api/python/resources/brand_protection#(resource)%20brand_protection.matches%20%3E%20(model)%20match_download_response%20%3E%20(schema)>)

GET/accounts/{account\_id}/brand-protection/matches/download

Return matches as CSV for string queries based on ID

##### Security

API Token

The preferred authorization scheme for interacting with the Cloudflare API. [Create a token](https://developers.cloudflare.com/fundamentals/api/get-started/create-token/).

**Example:**`Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY`

##### Accepted Permissions (at least one required)

`Intel Write``Intel Read`

##### ParametersExpand Collapse

account\_id: str

minLength1

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

id: Optional\[str]

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20id%20%3E%20(schema)>)

include\_dismissed: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/matches/methods/download#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20include_dismissed%20%3E%20(schema)>)]

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20include_dismissed%20%3E%20(schema)>)

include\_domain\_id: Optional\[[bool](<https://developers.cloudflare.com/api/python/resources/brand_protection/subresources/matches/methods/download#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20include_domain_id%20%3E%20(schema)>)]

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20include_domain_id%20%3E%20(schema)>)

limit: Optional\[int]

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20limit%20%3E%20(schema)>)

offset: Optional\[int]

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(method)%20download%20%3E%20(params)%20default%20%3E%20(param)%20offset%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class MatchDownloadResponse: …

</summary>

matches: Optional\[List\[Dict\[str, object]]]

<a href="#(resource)%20brand_protection.matches%20%3E%20(model)%20match_download_response%20%3E%20(schema)%20%3E%20(property)%20matches">Link to this property</a>

total: Optional\[int]

<a href="#(resource)%20brand_protection.matches%20%3E%20(model)%20match_download_response%20%3E%20(schema)%20%3E%20(property)%20total">Link to this property</a>

</details>

[Link to this property](<#(resource)%20brand_protection.matches%20%3E%20(model)%20match_download_response%20%3E%20(schema)>)

### Download matches for string queries by ID

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.brand_protection.matches.download(
    account_id="x",
)
print(response.matches)
```

200 example

```
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
```

##### Returns Examples

200 example

```
{
  "matches": [
    {
      "foo": "bar"
    }
  ],
  "total": 0
}
```